/**
  *  \file client/act-ship.cc
  *
  *  (c) 2001-2009 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */

#include "client/actions.h"
#include "client/scr-sim.h"
#include "ui/msgbox.h"
#include "util/nls.h"
#include "game/sim-game.h"
#include "game/ship.h"
#include "cpluslib/format.h"

void
doShipAddToSim(GShip& ship, bool ask)
{
    GSimShip* p = WSimScreen::sim_state.getShipById(ship.getId());
    if (p != 0) {
        // Get permission for overwrite
        if (ask && !UIMessageBox(format(_("The simulation already contains a ship with Id #%d. "
                                          "Replace it?"), ship.getId()),
                                 _("Add to Simulation")).doYesNoDialog())
            return;
    } else {
        // Add new ship
        GSimState::ship_index_t i = WSimScreen::sim_state.addShip();
        p = &WSimScreen::sim_state.getShip(i);
    }

    GSimulatorRealGameInterface::copyShip(*p, ship);
    WSimScreen::sim_state.doUpdates();
}
