/**
  *  \file client/cm-marker.h
  */
#ifndef PCC_V2_CLIENT_CM_MARKER_H
#define PCC_V2_CLIENT_CM_MARKER_H

#include "game/drawing.h"
#include "client/chartmode.h"

class WMarkerChartMode : public WSimpleChartMode {
 protected:
    GDrawingContainer::iterator drawing;

 public:
    WMarkerChartMode(GDrawingContainer::iterator drawing);
    ~WMarkerChartMode();
    bool handleEvent(const UIEvent& event, GChartLocation& loc);

    static void moveMarker(WChartModeList& modes, GDrawingContainer::iterator p);
    static void drawLineRectangle(WChartModeList& modes, GDrawingContainer::iterator p);
    static void drawCircle(WChartModeList& modes, GDrawingContainer::iterator p);
    static void deleteDrawing(WChartModeList& modes, GDrawingContainer::iterator p);
};

class WMoveMarkerChartMode : public WMarkerChartMode {
 public:
    WMoveMarkerChartMode(GDrawingContainer::iterator p);

    void onMove(GChartLocation& loc);
    void drawOverlays(GfxCanvas& can, GChartLocation& loc);
    bool handleEvent(const UIEvent& event, GChartLocation& loc);
};

class WDrawMarkerChartMode : public WMarkerChartMode {
    void finishDrawing();
 public:
    WDrawMarkerChartMode(GDrawingContainer::iterator p);
    ~WDrawMarkerChartMode();

    void onMove(GChartLocation& loc);
    void drawOverlays(GfxCanvas& can, GChartLocation& loc);
    bool handleEvent(const UIEvent& event, GChartLocation& loc);
};

class WDrawCircleChartMode : public WMarkerChartMode {
    void setRadius(int n);
 public:
    WDrawCircleChartMode(GDrawingContainer::iterator p);
    ~WDrawCircleChartMode();

    void onMove(GChartLocation& loc);
    void drawOverlays(GfxCanvas& can, GChartLocation& loc);
    bool handleEvent(const UIEvent& event, GChartLocation& loc);
};

class WDeleteDrawingChartMode : public WMarkerChartMode {
    int counter;
    bool phase;
 public:
    WDeleteDrawingChartMode(GDrawingContainer::iterator p);
    ~WDeleteDrawingChartMode();

    void drawCursor(GfxCanvas& can, GChartLocation& loc);
    void drawOverlays(GfxCanvas& can, GChartLocation& loc);
    bool handleEvent(const UIEvent& event, GChartLocation& loc);
};

void editMarkerComment(GDrawing& marker);

#endif
