/**
  *  \file game/parser-name.cc
  *
  *  (c) 2001-2009 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */

#include "game/parser.h"
#include "util/nls.h"

const char*
getNameForItem(GMessageStringIndex si)
{
    switch (si) {
     case ms_Name:  return _("Name");
     case ms_FCode: return _("FCode");
     case ms_Max:   return "?";
    }
    return "?";
}

const char*
getNameForItem(GMessageIntIndex ii)
{
    switch (ii) {
     case mi_X:                 return _("X");
     case mi_Y:                 return _("Y");
     case mi_Radius:            return _("Radius");
     case mi_Owner:             return _("Owner");
     case mi_Damage:            return _("Damage");

        /* Minefields: */
     case mi_MineUnits:         return _("Mine Units");
     case mi_MineScanReason:    return _("Mine Scan Reason");
     case mi_MineType:          return _("Mine Type");
     case mi_MineUnitsRemoved:  return _("Mine Units Removed");

        /* Ships: */
     case mi_ShipHull:          return _("Hull Type");
     case mi_ShipFuel:          return _("Fuel");

        /* Planets: */
     case mi_PlanetTotalN:      return _("Total Neutronium");
     case mi_PlanetTotalT:      return _("Total Tritanium");
     case mi_PlanetTotalD:      return _("Total Duranium");
     case mi_PlanetTotalM:      return _("Total Molybdenum");
     case mi_PlanetAddedN:      return _("Added Neutronium");
     case mi_PlanetAddedT:      return _("Added Tritanium");
     case mi_PlanetAddedD:      return _("Added Duranium");
     case mi_PlanetAddedM:      return _("Added Molybdenum");
     case mi_PlanetMinedN:      return _("Mined Neutronium");
     case mi_PlanetMinedT:      return _("Mined Tritanium");
     case mi_PlanetMinedD:      return _("Mined Duranium");
     case mi_PlanetMinedM:      return _("Mined Molybdenum");
     case mi_PlanetCash:        return _("Money");
     case mi_PlanetSupplies:    return _("Supplies");
     case mi_PlanetHasBase:     return _("Has Base");
     case mi_PlanetMines:       return _("Mineral Mines");
     case mi_PlanetFactories:   return _("Factories");
     case mi_PlanetDefense:     return _("Defense Posts");
     case mi_PlanetTemperature: return _("Temperature");
     case mi_PlanetColonists:   return _("Colonist Clans");
     case mi_PlanetActivity:    return _("Industrial activity");
     case mi_PlanetNativeRace:  return _("Native Race");
     case mi_PlanetNativeGov:   return _("Native Government");
     case mi_PlanetNatives:     return _("Native Population");
     case mi_PlanetHasNatives:  return _("Natives present");

        /* Bases: */
     case mi_BaseQueuePos:      return _("Build Queue Position");
     case mi_BaseQueuePriority: return _("Build Priority");

     case mi_Max:               return "?";
    }
    return "?";
}
