/**
  *  \file game/parser.cc
  *
  *  (c) 2001-2009 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */

#include "game/parser.h"
#include "util/misc.h"

GMessageInformation::GMessageInformation(GMessageObject obj, int32 id, int turn)
    : obj(obj), id(id), values(), turn(turn)
{ }

GMessageInformation::~GMessageInformation()
{ }

void
GMessageInformation::addValue(GMessageStringIndex si, const string_t& s)
{
    values.push_back(new GMessageStringValue(si, s));
}

void
GMessageInformation::addValue(GMessageIntIndex ii, int32 i)
{
    values.push_back(new GMessageIntValue(ii, i));
}
